group "CommodityProduct.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
commodityBase??, specifiedPrice?, deliveryDates??

Content Model Elements (3):

  commodityBase, deliveryDates, specifiedPrice

Known Usage Locations

- In definitions of global complexTypes (1):
  Commodity

Annotation
A group used to specify details of a commodity underlyer.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityProduct.model"> <xsd:sequence> <xsd:group minOccurs="0" ref="CommodityReferencePriceFramework.model"/> <xsd:element minOccurs="0" name="specifiedPrice" type="SpecifiedPriceEnum"/> <xsd:sequence minOccurs="0"> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="deliveryDates" type="DeliveryDatesEnum"/> <!--View Generation: SKIPPED deliveryDateRollConvention - NonStandardFeature--> </xsd:sequence> <!--View Generation: SKIPPED multiplier - NonStandardFeature--> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/3)
deliveryDates

  Type: | DeliveryDatesEnum, simple content

  The Delivery Date is a NearbyMonth, for use when the Commodity Transaction references Futures Contract.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "CalculationPeriod" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the futures contract that corresponds to the month and year of the Calculation Period. e.g. The JAN 09 contract when pricing in January '09 (In the case of contracts like Brent crude, this will mean that the contract expired in DEC 08.) See: http://www.FpML.org
  "FirstNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the First Nearby Month futures contract. See: http://www.FpML.org
  "SecondNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Second Nearby Month futures contract. See: http://www.FpML.org
  "ThirdNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Third Nearby Month futures contract. See: http://www.FpML.org
  "FourthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fourth Nearby Month futures contract. See: http://www.FpML.org
  "FifthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fifth Nearby Month futures contract. See: http://www.FpML.org
  "SixthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Sixth Nearby Month futures contract. See: http://www.FpML.org
  "SeventhNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Seventh Nearby Month futures contract. See: http://www.FpML.org
  "EighthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Eighth Nearby Month futures contract. See: http://www.FpML.org
  "NinthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Ninth Nearby Month futures contract. See: http://www.FpML.org
  "TenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Tenth Nearby Month futures contract. See: http://www.FpML.org
  "EleventhNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Eleventh Nearby Month futures contract. See: http://www.FpML.org
  "TwelfthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Twelfth Nearby Month futures contract. See: http://www.FpML.org
  "ThirteenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Thirteenth Nearby Month futures contract. See: http://www.FpML.org
  "FourteenthNearby" | - | The Delivery Date of the underlying Commodity shall be the month of expiration of the Fourteenth Nearby Month futures contract. See: http://www.FpML.org
  "Spot" | - | The Delivery Date of the underlying Commodity shall be the Spot date. See: http://www.FpML.org
  "1stNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the First Nearby Week. See: http://www.FpML.org
  "2ndNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Second Nearby Week. See: http://www.FpML.org
  "3rdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Third Nearby Week. See: http://www.FpML.org
  "4thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fourth Nearby Week. See: http://www.FpML.org
  "5thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifth Nearby Week. See: http://www.FpML.org
  "6thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Sixth Nearby Week. See: http://www.FpML.org
  "7thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Seventh Nearby Week. See: http://www.FpML.org
  "8thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eighth Nearby Week. See: http://www.FpML.org
  "9thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Ninth Nearby Week. See: http://www.FpML.org
  "10thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Tenth Nearby Week. See: http://www.FpML.org
  "11thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eleventh Nearby Week. See: http://www.FpML.org
  "12thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twelfth Nearby Week. See: http://www.FpML.org
  "13thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirteenth Nearby Week. See: http://www.FpML.org
  "14thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fourteenth Nearby Week. See: http://www.FpML.org
  "15thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifteenth Nearby Week. See: http://www.FpML.org
  "16thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Sixteenth Nearby Week. See: http://www.FpML.org
  "17thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Seventeenth Nearby Week. See: http://www.FpML.org
  "18thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Eighteenth Nearby Week. See: http://www.FpML.org
  "19thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Nineteenth Nearby Week. See: http://www.FpML.org
  "20thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twentieth Nearby Week. See: http://www.FpML.org
  "21stNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty First Nearby Week. See: http://www.FpML.org
  "22ndNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Second Nearby Week. See: http://www.FpML.org
  "23rdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Third Nearby Week. See: http://www.FpML.org
  "24thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Fourth Nearby Week. See: http://www.FpML.org
  "25thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Fifth Nearby Week. See: http://www.FpML.org
  "26thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Sixth Nearby Week. See: http://www.FpML.org
  "27thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Seventh Nearby Week. See: http://www.FpML.org
  "28thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Eighth Nearby Week. See: http://www.FpML.org
  "29thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Twenty Ninth Nearby Week. See: http://www.FpML.org
  "30thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirtieth Nearby Week. See: http://www.FpML.org
  "31stNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty First Nearby Week. See: http://www.FpML.org
  "32ndNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Second Nearby Week. See: http://www.FpML.org
  "33rdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Third Nearby Week. See: http://www.FpML.org
  "34thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Fourth Nearby Week. See: http://www.FpML.org
  "35thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Fifth Nearby Week. See: http://www.FpML.org
  "36thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Sixth Nearby Week. See: http://www.FpML.org
  "37thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Seventh Nearby Week. See: http://www.FpML.org
  "38thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Eighth Nearby Week. See: http://www.FpML.org
  "39thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Thirty Ninth Nearby Week. See: http://www.FpML.org
  "40thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fortieth Nearby Week. See: http://www.FpML.org
  "41stNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty First Nearby Week. See: http://www.FpML.org
  "42ndNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Second Nearby Week. See: http://www.FpML.org
  "43rdNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Third Nearby Week. See: http://www.FpML.org
  "44thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Fourth Nearby Week. See: http://www.FpML.org
  "45thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Fifth Nearby Week. See: http://www.FpML.org
  "46thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Sixth Nearby Week. See: http://www.FpML.org
  "47thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Seventh Nearby Week. See: http://www.FpML.org
  "48thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Eighth Nearby Week. See: http://www.FpML.org
  "49thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Forty Ninth Nearby Week. See: http://www.FpML.org
  "50thNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fiftieth Nearby Week. See: http://www.FpML.org
  "51stNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifty First Nearby Week. See: http://www.FpML.org
  "52ndNearbyWeek" | - | The Delivery Date of the underlying Commodity shall be during the Fifty Second Nearby Week. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryDates" type="DeliveryDatesEnum"/>

specifiedPrice

  Type: | SpecifiedPriceEnum, simple content

  The Specified Price is not defined in the Commodity Reference Price and so needs to be stated in the Underlyer definition as it will impact the calculation of the Floating Price.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Afternoon" | - | The Specified Price shall be the Afternoon fixing reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Ask" | - | The Specified Price shall be the Ask price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Bid" | - | The Specified Price shall be the Bid price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Closing" | - | The Specified Price shall be the Closing price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "High" | - | The Specified Price shall be the High price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Index" | - | The Specified Price shall be the Index price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MeanOfBidAndAsk" | - | The Specified Price shall be the Average of the Bid and Ask prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Low" | - | The Specified Price shall be the Low price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "MeanOfHighAndLow" | - | The Specified Price shall be the Average of the High and Low prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Morning" | - | The Specified Price shall be the Morning fixing reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Official" | - | The Specified Price shall be the Official price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Opening" | - | The Specified Price shall be the Opening price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "OSP" | - | The Specified Price shall be the Official Settlement Price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Settlement" | - | The Specified Price shall be the Settlement price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Spot" | - | The Specified Price shall be the Spot price reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "Midpoint" | - | The Specified Price shall be the Average of the Midpoint of prices reported in or by the relevant Price Source as specified in the relevant Confirmation.
  "WeightedAverage" | - | The Specified Price shall be the volume Weighted Average of prices effective on the Pricing Date reported in or by the relevant Price Source as specified.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="specifiedPrice" type="SpecifiedPriceEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.